Skip to main content
POST
/
api
/
agents
/
{agent_uid}
/
tools
Add tool
curl --request POST \
  --url https://api.example.com/api/agents/{agent_uid}/tools \
  --header 'Content-Type: application/json' \
  --data '
{
  "tool_type": "<string>",
  "configuration": {}
}
'
Adds a tool to an agent. Tools define what actions the agent can take during a run.

Path parameters

agent_uid
string
required
UUID of the agent.

Request body

tool_type
string
required
Type of tool. One of: triage, send_email, reply_to_email, slack, trigger_webhook, create_task.Use Tool types to get the full catalogue.
configuration
object
Tool-specific configuration. Structure varies by tool type. Pass null or omit for defaults.

Example

{
  "tool_type": "send_email",
  "configuration": null
}

Response

Returns 201 with the created tool:
{
  "status": "success",
  "status_code": 201,
  "message": "Tool created",
  "data": {
    "uid": "tool1-uuid-here",
    "agent_uid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "tool_type": "send_email",
    "configuration": null,
    "is_active": true,
    "created_on": "2026-03-20T10:00:00Z",
    "updated_on": "2026-03-20T10:00:00Z"
  }
}